/* 
Les types de selecteurs : 
-selecteur de balise universel ( par ex : div, p, h2, ul, li....)
-selecteur de d'identifiant avec id"indentifiant" et #identifiant
- selecteur de classe avec .
*/

html{
    scroll-behavior: smooth;
}

body{
    background-color: blue;
    font-family: Arial, Helvetica, sans-serif;
    color: aliceblue;
    margin: 0px;
    padding: 0px;


}




/* chemin de lecture menuprincipal > ul > li > 
signifie qu'il sélectionne tous les li a l'interieur de la balise ul a l'interieur du menu principal
*/


header{
    position: fixed;
    width: 30%;
    background-color:blue
    padding: 16px;
    height: 100vh;
    box-sizing: border-box;


}

#menu_principal ul{
    margin: 0;
    padding: 0;

}

#menu_principal ul li{
    border-bottom: 1px solid white;
    list-style-type:none;
    line-height: 30px;

}

#menu_principal ul li a{
    color: lightgreen;
    text-decoration: none;

}

#menu_principal ul li a:hover{
    color: aliceblue;

}

main{
    width: 70%;

    margin-left: 30%;
    padding:20%

}

main a{color: aqua;}


main > *{
/* renvois à faire / simplification : "main h1, main h2, main p" */

max-width: 400px;
min-width: 200px;
}

.souligne {
    border-bottom: 1px solid white;
}

.note{
    margin-right:-80%; /* positionnement à partir de la marge droite, en négatif (petit hack) */
    float: right; /* cette propriété permet de sortir la note du flux */
    max-width: 200px;
}

sup{
    width: 12px;
    height: 12px;
    border-radius:12px;
    background-color: white;
    color: blue;
    text-align: center;
    display: inline-block;
    line-height: 12px;
    font-size: 10px;
}

#progression{
    height: 20px;
    width: 100%;
    background-color: aqua;
    position:fixed;
    z-index: 2;
    
}


figure{
    margin-left: 0%;
}